--- title: "interruptServerInstance" slug: "compute-vserver-server-interruptserverinstance" updated: 2026-10-08T04:17:14Z published: 2026-10-08T04:17:14Z canonical: "api.ncloud-docs.com/compute-vserver-server-interruptserverinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # interruptServerInstance Available in VPC Run a diagnostic interrupt for diagnosing a server instance (VM) with an abnormal action. Note Diagnostic interrupts are supported only for server instances (VMs) that are currently running. The KVM hypervisor type supports Linux and Windows-based operating systems, while the XEN hypervisor type supports only Windows-based operating systems. For more information about using diagnostic interrupts, see [Diagnostic interrupt](https://guide.ncloud-docs.com/docs/en/server-ts-interrupt-vpc) in the Server user guide. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/interruptServerInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the request headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/interruptServerInstance ?regionCode=KR &serverInstanceNo=*****3161 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `interruptServerInstanceResponse` | Object | - | Response result - See [ServerInstanceList](/docs/en/common-vapidatatype-serverinstancelist). | | `interruptServerInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `interruptServerInstanceResponse.returnCode` | String | - | Response code | | `interruptServerInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "interruptServerInstanceResponse": { "totalRows": 1, "serverInstanceList": [ { "serverInstanceNo": "*****3161", "serverName": "test-***", "serverDescription": "", "cpuCount": 2, "memorySize": 8589934592, "platformType": { "code": "WND64", "codeName": "Windows 64 Bit" }, "loginKeyName": "test-***", "publicIpInstanceNo": "*****3452", "publicIp": "211.188.***.***", "serverInstanceStatus": { "code": "RUN", "codeName": "Server RUN status" }, "serverInstanceOperation": { "code": "SETUP", "codeName": "Currently in SETUP status" }, "serverInstanceStatusName": "setting up", "createDate": "2025-06-19T15:45:23+0900", "uptime": "2025-06-19T16:13:43+0900", "serverImageProductCode": "SW.VSVR.OS.WND64.WND.SVR2016EN.B100", "serverProductCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B100.G002", "isProtectServerTermination": false, "zoneCode": "KR-1", "regionCode": "KR", "vpcNo": "***75", "subnetNo": "****36", "networkInterfaceNoList": [ "*****25" ], "initScriptNo": "", "serverInstanceType": { "code": "STAND", "codeName": "Standard" }, "baseBlockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "baseBlockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "placementGroupNo": "", "placementGroupName": "", "memberServerImageInstanceNo": "", "hypervisorType": { "code": "XEN", "codeName": "XEN" }, "serverImageNo": "16187006", "serverSpecCode": "s2-g2-s100", "eventList": [], "fabricClusterPoolNo": "", "fabricClusterPoolName": "", "fabricClusterMode": "", "fabricClusterNo": "", "fabricClusterName": "" } ], "requestId": "3698198d-df7b-4cd3-a219-bd437cad8ddf", "returnCode": "0", "returnMessage": "success" } } ```